/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.data.engine.storage;

import java.util.Map;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Jeyvison Nascimento
 */
@ProviderType
public interface DataStorage {

	public long delete(long dataStorageId) throws Exception;

	public Map<String, Object> get(long dataDefinitionId, long dataStorageId)
		throws Exception;

	public long save(
			long dataRecordCollectionId, Map<String, Object> dataRecordValues,
			long siteId)
		throws Exception;

}